Subject: Re: bug#11649: 24.1.50; Some compilation woes

From: Juanma Barranquero <[email-masked]>
Date: Sat, 9 Jun 2012 21:28:28 +0200

On Sat, Jun 9, 2012 at 1:41 PM, Eli Zaretskii <[email-masked]> wrote:

> Are you saying that there's some bug in the byte compiler?  You may be
> right, although I don't see why the value 1200 should be OK, but 2200
> shouldn't.

No, I'm saying that I don't see a problem in the way it is currently
done on Windows because, at the end, even doing it as it is done in
POSIX does not guarantee that you won't be forced to use a greater
stack depth sooner or later, because it depends on the small number of
files that are compiled with the interpreted byte-compiler, and these
files are not static; they can grow bigger or more complex and
eventually, someday, trigger the same stack depth error. Unless I've
failed to understand you.

    Juanma